# classes/phing/filters/ChainableReader.php

Interface indicating that a reader may be chained to another one.

author
  Magesh Umasankar
package
  phing.filters

## \ChainableReader
jump to top

Interface indicating that a reader may be chained to another one.

author
  Magesh Umasankar
package
  phing.filters

### Methods

`chain( \Reader $rdr ) : \Reader`
Returns a reader with the same configuration as this one, but filtering input from the specified reader.
Parameters

Name | Type | Description
--- | --- | ---
$rdr | \Reader | the reader which the returned reader should be filtering

Returns

Type | Description
--- | ---
\Reader |

Documentation was generated by DocBlox 0.13.1.